EPR_DatasetRef Struct Reference

The `EPR_DatasetRef` structure represents the information from `dddb`
with the reference to data name (in dddb), field-name and index of the element in field-array, in which (by name) searchable values are located. More...

`#include <epr_api.h>`

## Data Fields

EPR_SDatasetId * | dataset_id
int | field_index
int | elem_index

## Detailed Description

The `EPR_DatasetRef` structure represents the information from `dddb`
with the reference to data name (in dddb), field-name and index of the element in field-array, in which (by name) searchable values are located.

Example for the search for a scaling_offset information: This information for the `reflec_10` is described with the `Scaling_Factor_GADS.22.10` In `dataset_id` the searched ENVISAT product name (e.g. `MER_RR__2P`) is located.
In the corresponding file (e.g. `/product/MER_RR__2P.dd`) the path, how to find that information will be described. In that file, in the field number `22` there is an information about the location of the searched value in the ENVISAT product data.

See also
  EPR_SDatasetId

## Field Documentation

## dataset_id

EPR_SDatasetId* EPR_DatasetRef::dataset_id

## field_index

int EPR_DatasetRef::field_index

## elem_index

int EPR_DatasetRef::elem_index

The documentation for this struct was generated from the following file:

- epr_api.h